### Hierarchy

- RegExp

## Index

### Methods

- __@match
- __@replace
- __@search
- __@split

## Methods

### __@match

- __@match(string: string): RegExpMatchArray | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:182

  Matches a string with this regular expression, and returns an array containing the results of that search.

  #### Parameters

  - ##### string: string

    A string to search within.

  #### Returns RegExpMatchArray | null

### __@replace

- __@replace(string: string, replaceValue: string): string
- __@replace(string: string, replacer: function): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:191

  Replaces text in a string, using this regular expression.

  #### Parameters

  - ##### string: string

    A String object or string literal whose contents matching against this regular expression will be replaced

  - ##### replaceValue: string

    A String object or string literal containing the text to replace for every successful match of this regular expression.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:199

  Replaces text in a string, using this regular expression.

  #### Parameters

  - ##### string: string

    A String object or string literal whose contents matching against this regular expression will be replaced

  - ##### replacer: function

    A function that returns the replacement text.

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

### __@search

- __@search(string: string): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:207

  Finds the position beginning first substring match in a regular expression search using this regular expression.

  #### Parameters

  - ##### string: string

    The string to search within.

  #### Returns number

### __@split

- __@split(string: string, limit?: undefined | number): string[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:221

  Returns an array of substrings that were delimited by strings in the original input that match against this regular expression.

  If the regular expression contains capturing parentheses, then each time this regular expression matches, the results (including any undefined results) of the capturing parentheses are spliced.

  #### Parameters

  - ##### string: string

    string value to split

  - ##### Optional limit: undefined | number

    if not undefined, the output array is truncated so that it contains no more than 'limit' elements.

  #### Returns string[]

Generated using TypeDoc